diff --git a/Languages/ISO639-2-LanguageCodes.rdf b/Languages/ISO639-2-LanguageCodes.rdf
index 2655b2a..844ab14 100644
--- a/Languages/ISO639-2-LanguageCodes.rdf
+++ b/Languages/ISO639-2-LanguageCodes.rdf
@@ -7089,8 +7089,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Kutenai language</skos:definition>
       <rdfs:label>Kutenai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kutenai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kutenai</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kutenai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kutenai</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7099,8 +7099,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ladino language</skos:definition>
       <rdfs:label>Ladino</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ladino</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">judéo-espagnol</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ladino</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">judéo-espagnol</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7109,8 +7109,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Lahnda</skos:definition>
       <rdfs:label>Lahnda</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lahnda</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lahnda</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lahnda</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lahnda</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7119,8 +7119,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lamba language</skos:definition>
       <rdfs:label>Lamba</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lamba</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lamba</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lamba</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lamba</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7128,8 +7128,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Land Dayak languages family</skos:definition>
       <rdfs:label>Land Dayak languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Land Dayak languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dayak, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Land Dayak languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dayak, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7138,8 +7138,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lezghian language</skos:definition>
       <rdfs:label>Lezghian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lezghian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lezghien</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lezghian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lezghien</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7148,8 +7148,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lojban language</skos:definition>
       <rdfs:label>Lojban</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lojban</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lojban</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lojban</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lojban</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7158,10 +7158,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Low German language</skos:definition>
       <rdfs:label>Low German</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Low German</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Low Saxon</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bas allemand</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bas saxon</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Low German</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Low Saxon</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">bas allemand</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">bas saxon</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7170,8 +7170,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lower Sorbian language</skos:definition>
       <rdfs:label>Lower Sorbian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lower Sorbian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">bas-sorabe</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lower Sorbian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">bas-sorabe</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7180,8 +7180,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lozi language</skos:definition>
       <rdfs:label>Lozi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lozi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lozi</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lozi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lozi</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7190,8 +7190,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Luba-Lulua language</skos:definition>
       <rdfs:label>Luba-Lulua</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luba-Lulua</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">luba-lulua</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Luba-Lulua</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">luba-lulua</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7200,8 +7200,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Luiseno language</skos:definition>
       <rdfs:label>Luiseno</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luiseno</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">luiseno</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Luiseno</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">luiseno</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7210,8 +7210,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lule Sami language</skos:definition>
       <rdfs:label>Lule Sami</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lule Sami</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">sami de Lule</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lule Sami</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">sami de Lule</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7220,8 +7220,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lunda language</skos:definition>
       <rdfs:label>Lunda</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lunda</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lunda</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lunda</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lunda</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7230,8 +7230,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Luo - Kenya and Tanzania language</skos:definition>
       <rdfs:label>Luo - Kenya and Tanzania</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Luo (Kenya and Tanzania)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">luo (Kenya et Tanzanie)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Luo (Kenya and Tanzania)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">luo (Kenya et Tanzanie)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7240,8 +7240,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Lushai language</skos:definition>
       <rdfs:label>Lushai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Lushai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">lushai</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Lushai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">lushai</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7250,11 +7250,11 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Macedo Romanian language</skos:definition>
       <rdfs:label>Macedo Romanian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Aromanian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Arumanian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Macedo Romanian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">aroumain</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">macédo-roumain</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Aromanian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Arumanian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Macedo Romanian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">aroumain</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">macédo-roumain</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7263,8 +7263,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Madurese language</skos:definition>
       <rdfs:label>Madurese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Madurese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">madourais</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Madurese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">madourais</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7273,8 +7273,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Magahi language</skos:definition>
       <rdfs:label>Magahi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Magahi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">magahi</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Magahi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">magahi</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7283,8 +7283,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Maithili language</skos:definition>
       <rdfs:label>Maithili</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Maithili</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">maithili</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Maithili</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">maithili</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7293,8 +7293,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Makasar language</skos:definition>
       <rdfs:label>Makasar</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Makasar</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">makassar</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Makasar</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">makassar</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7303,8 +7303,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Manchu language</skos:definition>
       <rdfs:label>Manchu</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Manchu</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mandchou</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Manchu</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mandchou</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7313,8 +7313,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mandar language</skos:definition>
       <rdfs:label>Mandar</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mandar</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mandar</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mandar</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mandar</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7323,8 +7323,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Mandingo</skos:definition>
       <rdfs:label>Mandingo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mandingo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mandingue</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mandingo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mandingue</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7333,8 +7333,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Manipuri language</skos:definition>
       <rdfs:label>Manipuri</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Manipuri</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">manipuri</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Manipuri</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">manipuri</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7342,8 +7342,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Manobo languages family</skos:definition>
       <rdfs:label>Manobo languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Manobo languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">manobo, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Manobo languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">manobo, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7352,11 +7352,11 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mapudungun language</skos:definition>
       <rdfs:label>Mapudungun</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mapuche</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mapudungun</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mapuce</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mapuche</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mapudungun</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mapuche</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mapudungun</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mapuce</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mapuche</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mapudungun</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7365,8 +7365,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Mari (Russian)</skos:definition>
       <rdfs:label>Mari</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mari (Russian)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mari</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mari (Russian)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mari</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7375,8 +7375,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Marwari</skos:definition>
       <rdfs:label>Marwari</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Marwari</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">marvari</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Marwari</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">marvari</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7385,8 +7385,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Masai language</skos:definition>
       <rdfs:label>Masai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Masai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">massaï</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Masai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">massaï</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7394,8 +7394,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Mayan languages family</skos:definition>
       <rdfs:label>Mayan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mayan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">maya, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mayan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">maya, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7404,8 +7404,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mende language</skos:definition>
       <rdfs:label>Mende</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mende (Sierra Leone)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mendé</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mende (Sierra Leone)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mendé</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7414,8 +7414,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Middle Dutch language</skos:definition>
       <rdfs:label>Middle Dutch</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dutch, Middle (ca. 1050-1350)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">néerlandais moyen (ca. 1050-1350)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dutch, Middle (ca. 1050-1350)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">néerlandais moyen (ca. 1050-1350)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7424,8 +7424,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Middle English language</skos:definition>
       <rdfs:label>Middle English</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">English, Middle (1100-1500)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">anglais moyen (1100-1500)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">English, Middle (1100-1500)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">anglais moyen (1100-1500)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7434,8 +7434,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Middle French language</skos:definition>
       <rdfs:label>Middle French</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">French, Middle (ca. 1400-1600)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">français moyen (ca. 1400-1600)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">French, Middle (ca. 1400-1600)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">français moyen (ca. 1400-1600)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7444,8 +7444,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Middle High German language</skos:definition>
       <rdfs:label>Middle High German</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">German, Middle High (ca. 1050-1500)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">allemand, moyen haut (ca. 1050-1500)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">German, Middle High (ca. 1050-1500)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">allemand, moyen haut (ca. 1050-1500)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7454,8 +7454,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Middle Irish language</skos:definition>
       <rdfs:label>Middle Irish</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Irish, Middle (900-1200)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">irlandais moyen (900-1200)</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Irish, Middle (900-1200)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">irlandais moyen (900-1200)</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7464,10 +7464,10 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mi'kmaq language</skos:definition>
       <rdfs:label>Mi'kmaq</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Micmac</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mi'kmaq</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">micmac</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mi'kmaq</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Micmac</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mi'kmaq</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">micmac</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mi'kmaq</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7476,8 +7476,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Minangkabau language</skos:definition>
       <rdfs:label>Minangkabau</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Minangkabau</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">minangkabau</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Minangkabau</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">minangkabau</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7486,8 +7486,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mirandese language</skos:definition>
       <rdfs:label>Mirandese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mirandese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mirandais</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mirandese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mirandais</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7495,8 +7495,8 @@
       <rdf:type rdf:resource="&lcc-lr;SpecialPurposeLanguageConcept"/>
       <skos:definition rdf:datatype="&xsd;string">Uncoded languages special purpose language concept</skos:definition>
       <rdfs:label>Uncoded languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Uncoded languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">langues non codées</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Uncoded languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">langues non codées</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7505,8 +7505,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mohawk language</skos:definition>
       <rdfs:label>Mohawk</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mohawk</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mohawk</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mohawk</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mohawk</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7515,8 +7515,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Moksha language</skos:definition>
       <rdfs:label>Moksha</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Moksha</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">moksa</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Moksha</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">moksa</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7525,8 +7525,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mongo language</skos:definition>
       <rdfs:label>Mongo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mongo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">mongo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mongo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">mongo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7534,8 +7534,8 @@
       <rdf:type rdf:resource="&lcc-lr;RemainderGroup"/>
       <skos:definition rdf:datatype="&xsd;string">Mon-Khmer languages remainder group</skos:definition>
       <rdfs:label>Mon-Khmer languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mon-Khmer languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">môn-khmer, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mon-Khmer languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">môn-khmer, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7544,8 +7544,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Montenegrin language</skos:definition>
       <rdfs:label>Montenegrin</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Montenegrin</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">monténégrin</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Montenegrin</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">monténégrin</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -7554,8 +7554,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Mossi language</skos:definition>
       <rdfs:label>Mossi</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Mossi</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">moré</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Mossi</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">moré</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
